% A simple cycle
% Author : Jerome Tremblay
\documentclass{article}
\usepackage{tikz}
%%%<
\usepackage{verbatim}
\usepackage{verbatim}
\usepackage[active,tightpage]{preview}
\PreviewEnvironment{tikzpicture}
\setlength\PreviewBorder{5pt}%
%%%>

\begin{document}
\begin{tikzpicture}
% graph
\def \n {5}
\def \radius {3cm}

\foreach \s in {1,...,\n} {
	\node[draw, circle] (\s) at ({360/\n * (\s+1)+90}:\radius) {$\s$};
}

\foreach \x in {1,...,\n} {
	\foreach \y in {\x,...,\n} {
		\draw (\x) to (\y);
      }
}

\end{tikzpicture}


\end{document}



